[ARVADOS] updated: 2.1.0-870-gb282ac0a0
Git user
git at public.arvados.org
Thu Jun 3 20:19:06 UTC 2021
Summary of changes:
build/package-build-dockerfiles/ubuntu1804/Dockerfile | 2 +-
build/package-build-dockerfiles/ubuntu2004/Dockerfile | 2 +-
build/run-library.sh | 10 +++++++---
3 files changed, 9 insertions(+), 5 deletions(-)
via b282ac0a0bf9985b8ce6565eaf4428abcba5fdcc (commit)
from ebfa2713301c322ebaf06f657a9cfb7cdd176b12 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit b282ac0a0bf9985b8ce6565eaf4428abcba5fdcc
Author: Ward Vandewege <ward at curii.com>
Date: Thu Jun 3 16:18:36 2021 -0400
Fix building of metapackages for Ubuntu 18.04 and Ubuntu 20.04.
refs #17498
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/build/package-build-dockerfiles/ubuntu1804/Dockerfile b/build/package-build-dockerfiles/ubuntu1804/Dockerfile
index 10639fc3b..fd18f3e20 100644
--- a/build/package-build-dockerfiles/ubuntu1804/Dockerfile
+++ b/build/package-build-dockerfiles/ubuntu1804/Dockerfile
@@ -8,7 +8,7 @@ MAINTAINER Arvados Package Maintainers <packaging at arvados.org>
ENV DEBIAN_FRONTEND noninteractive
# Install dependencies.
-RUN /usr/bin/apt-get update && /usr/bin/apt-get install -q -y python3 python3-pip libcurl4-gnutls-dev libgnutls28-dev curl git libattr1-dev libfuse-dev libpq-dev unzip tzdata python3-venv python3-dev libpam-dev
+RUN /usr/bin/apt-get update && /usr/bin/apt-get install -q -y python3 python3-pip libcurl4-gnutls-dev libgnutls28-dev curl git libattr1-dev libfuse-dev libpq-dev unzip tzdata python3-venv python3-dev libpam-dev equivs
# Install virtualenv
RUN /usr/bin/pip3 install 'virtualenv<20'
diff --git a/build/package-build-dockerfiles/ubuntu2004/Dockerfile b/build/package-build-dockerfiles/ubuntu2004/Dockerfile
index ba4fd6e50..0e11b8738 100644
--- a/build/package-build-dockerfiles/ubuntu2004/Dockerfile
+++ b/build/package-build-dockerfiles/ubuntu2004/Dockerfile
@@ -8,7 +8,7 @@ MAINTAINER Arvados Package Maintainers <packaging at arvados.org>
ENV DEBIAN_FRONTEND noninteractive
# Install dependencies.
-RUN /usr/bin/apt-get update && /usr/bin/apt-get install -q -y python3 python3-pip libcurl4-gnutls-dev libgnutls28-dev curl git libattr1-dev libfuse-dev libpq-dev unzip tzdata python3-venv python3-dev libpam-dev shared-mime-info
+RUN /usr/bin/apt-get update && /usr/bin/apt-get install -q -y python3 python3-pip libcurl4-gnutls-dev libgnutls28-dev curl git libattr1-dev libfuse-dev libpq-dev unzip tzdata python3-venv python3-dev libpam-dev shared-mime-info equivs
# Install virtualenv
RUN /usr/bin/pip3 install 'virtualenv<20'
diff --git a/build/run-library.sh b/build/run-library.sh
index 107609590..0c3cbde8d 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -720,15 +720,19 @@ build_metapackage() {
return 0
fi
+ if [[ "$ARVADOS_BUILDING_ITERATION" == "" ]]; then
+ ARVADOS_BUILDING_ITERATION=1
+ fi
+
if [[ -z "$ARVADOS_BUILDING_VERSION" ]]; then
cd $WORKSPACE/$PKG_DIR
pwd
rm -rf dist/*
# Get the latest setuptools
- if ! $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'; then
- echo "Error, unable to upgrade setuptools with"
- echo " $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'"
+ if ! pip3 install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'; then
+ echo "Error, unable to upgrade setuptools with XY"
+ echo " pip3 install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'"
exit 1
fi
# filter a useless warning (when building the cwltest package) from the stderr output
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list